Update Extension
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/extensions/{extensionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Version": "1.0.0",
"ManifestHash": "AC43AF3123152342"
}
'import requests
url = "https://api.jtl-cloud.com/erp/extensions/{extensionId}"
payload = {
"Version": "1.0.0",
"ManifestHash": "AC43AF3123152342"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({Version: '1.0.0', ManifestHash: 'AC43AF3123152342'})
};
fetch('https://api.jtl-cloud.com/erp/extensions/{extensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ExtensionId": "MyFancyExtension",
"Version": "1.0.0",
"Created": "2023-02-01T12:45:00.0000000+00:00",
"LastChanged": "2023-02-01T12:45:00.0000000+00:00",
"ManifestHash": "AC43AF3123152342",
"Status": 0
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Extensibility
Update Extension
Updates an Existing Extension
PATCH
/
extensions
/
{extensionId}
Update Extension
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Body
application/json
The relevant Information of the Extension
Response
The changed Extension
Model Class: Extension
The Unique Identifier of the Extension
Example:
"MyFancyExtension"
The Version of Extension.
Example:
"1.0.0"
The Date of Creation the Extension in the Wawi
Example:
"2023-02-01T12:45:00.0000000+00:00"
The Date of the last changeof the Extension information
Example:
"2023-02-01T12:45:00.0000000+00:00"
The Hash of the Manifest Hexadeimcal Sha512
Example:
"AC43AF3123152342"
0 = Disabled, 1 = Pending, 2 = Active
Available options:
0, 1, 2 Was this page helpful?